Page MenuHomePhabricator

[Statepoints] Unlimited tied operands.
ClosedPublic

Authored by dantrushin on Sep 18 2020, 9:15 AM.

Details

Summary

Current limit on amount of tied operands (15) sometimes is too low
for statepoint. We may get couple dozens of gc pointer operands on
statepoint.
Review D87154 changed format of statepoint to list every gc pointer
only once, which makes it trivial to find tiedness relation between
statepoint operands: defs are mapped 1-1 to gc pointer operands passed
on registers.

Diff Detail

Event Timeline

dantrushin created this revision.Sep 18 2020, 9:15 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 18 2020, 9:15 AM
dantrushin requested review of this revision.Sep 18 2020, 9:15 AM
dantrushin retitled this revision from [WIP][Statepoints] Unlimited tied operands. to [Statepoints] Unlimited tied operands..Oct 7 2020, 2:09 PM
dantrushin edited the summary of this revision. (Show Details)
skatkov added inline comments.Oct 8 2020, 11:39 PM
llvm/lib/CodeGen/MachineInstr.cpp
1107

Update comment.

1147

Any useful message?

dantrushin updated this revision to Diff 297205.Oct 9 2020, 5:29 AM

Address review comments

dantrushin marked 2 inline comments as done.Oct 9 2020, 5:29 AM
skatkov accepted this revision.Oct 9 2020, 7:56 AM
This revision is now accepted and ready to land.Oct 9 2020, 7:56 AM
This revision was landed with ongoing or failed builds.Oct 15 2020, 2:17 AM
This revision was automatically updated to reflect the committed changes.